Bug 975141 (CVE-2013-2450) - CVE-2013-2450 OpenJDK: ObjectStreamClass circular reference denial of service (Serialization, 8000638)
Summary: CVE-2013-2450 OpenJDK: ObjectStreamClass circular reference denial of service...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2450
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 973111
TreeView+ depends on / blocked
 
Reported: 2013-06-17 16:57 UTC by Stefan Cornelius
Modified: 2019-09-29 13:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-17 16:25:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0957 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2013-06-20 04:03:33 UTC
Red Hat Product Errata RHSA-2013:0958 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-06-20 04:03:25 UTC
Red Hat Product Errata RHSA-2013:0963 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-11-13 16:09:17 UTC
Red Hat Product Errata RHSA-2013:1014 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2013-07-03 21:08:42 UTC
Red Hat Product Errata RHSA-2013:1059 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2013-11-13 16:09:07 UTC
Red Hat Product Errata RHSA-2013:1060 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-13 16:13:46 UTC
Red Hat Product Errata RHSA-2013:1081 normal SHIPPED_LIVE Important: java-1.5.0-ibm security update 2013-11-13 16:13:08 UTC
Red Hat Product Errata RHSA-2013:1455 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:30:21 UTC
Red Hat Product Errata RHSA-2013:1456 normal SHIPPED_LIVE Low: Red Hat Network Satellite server IBM Java Runtime security update 2013-10-23 20:29:56 UTC
Red Hat Product Errata RHSA-2014:0414 normal SHIPPED_LIVE Important: java-1.6.0-sun security update 2017-12-15 19:38:49 UTC

Description Stefan Cornelius 2013-06-17 16:57:05 UTC
It was discovered that the ObjectStreamClass class did not properly protect against circular references. An untrusted Java application or applet could possibly use this flaw to cause a denial of service.

Comment 1 Jan Lieskovsky 2013-06-19 13:43:34 UTC
External References:

http://www.oracle.com/technetwork/topics/security/javacpujun2013-1899847.html

Comment 2 errata-xmlrpc 2013-06-20 00:07:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0958 https://rhn.redhat.com/errata/RHSA-2013-0958.html

Comment 3 errata-xmlrpc 2013-06-20 00:11:32 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0957 https://rhn.redhat.com/errata/RHSA-2013-0957.html

Comment 4 Stefan Cornelius 2013-06-20 12:19:54 UTC
OpenJDK7 upstream repositories commit:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/285765be3123

Comment 5 errata-xmlrpc 2013-06-20 14:55:10 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0963 https://rhn.redhat.com/errata/RHSA-2013-0963.html

Comment 6 errata-xmlrpc 2013-07-03 17:13:13 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1014 https://rhn.redhat.com/errata/RHSA-2013-1014.html

Comment 7 errata-xmlrpc 2013-07-15 20:45:41 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1060 https://rhn.redhat.com/errata/RHSA-2013-1060.html

Comment 8 errata-xmlrpc 2013-07-15 20:56:35 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1059 https://rhn.redhat.com/errata/RHSA-2013-1059.html

Comment 9 errata-xmlrpc 2013-07-16 17:24:34 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:1081 https://rhn.redhat.com/errata/RHSA-2013-1081.html

Comment 11 errata-xmlrpc 2013-10-23 16:45:40 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html

Comment 12 errata-xmlrpc 2013-10-23 16:56:10 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html

Comment 13 errata-xmlrpc 2014-04-17 11:35:26 UTC
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html


Note You need to log in before you can comment on or make changes to this bug.